Skip to main content
GET
/
git_commits
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
git_commit_list = client.git_commits.list()
print(git_commit_list)
{
  "object": "list",
  "limit": 10,
  "offset": 0,
  "has_more": false,
  "data": [
    {
      "object": "git_commit",
      "id": "git_commit_123",
      "sha": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0",
      "message": "Add basic motion configurations",
      "repository_owner": "user",
      "repository_name": "repo",
      "repository_type": "github",
      "repository_url": "https://github.com/user/repo",
      "commit_url": "https://github.com/user/repo/commit/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0",
      "created_at": "2021-01-01T00:00:00Z"
    }
  ],
  "total_count": 123
}
ScopeRequired
git_commits:readYes

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Query Parameters

offset
integer
default:0

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
Example:

0

limit
integer
default:10

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
Example:

10

order_by
enum<string>[]

Sort order for the git commit results.

Available options:
id:asc,
id:desc,
created_at:desc,
created_at:asc
Example:
["created_at:desc"]
expand
enum<string>[]

Fields to expand on each git commit in the list.

Available options:
total_count
id
string[]

The git commit IDs to filter by.

Example:
["git_cmt_123"]
sha
string[]

The git commit SHAs to filter by.

Example:
["a1b2c3d4e5f6"]

Response

200 - application/json

Successfully listed the git commits.

object
enum<string>
required

The object type, which is always list.

Available options:
list
Example:

"list"

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Git Commit · object[]
required

The list of git commits.

total_count
integer<int64>

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.

Last modified on March 13, 2026